# Достъпност за отдалечен работен плот (Remote Desktop Accessibility) #

* Автори: [Leonard de Ruijter][1]
* Изтегляне на [най-новата стабилна версия][2]
* Съвместимост с NVDA: от 2023.2 и по-нови версии

Добавката "Достъпност за отдалечен работен плот" (Remote Desktop
Accessibility – RDAccess) добавя поддръжка за достъп до сесии на отдалечен
работен плот към NVDA с помощта на Microsoft Remote Desktop, Citrix или
VMware Horizon. Когато се инсталира в NVDA както на управляващата, така и на
управляваната машина, речта и брайла, генерирани на управляваната машина, ще
бъдат изговаряни и извеждани на брайл от управляващата машина. Това
позволява потребителско изживяване, при което управлението на отдалечена
система се чувства също толкова ефективно, колкото работата с локалната
система.

## Възможности

* Поддръжка за Microsoft Remote Desktop, Citrix и VMware Horizon
* Изход на реч и брайл
* Автоматично откриване на отдалечен брайл с помощта на автоматичното
  откриване на брайлов дисплей на NVDA
* Автоматично откриване на отдалечената реч чрез специален процес на
  откриване, който може да бъде деактивиран в диалоговия прозорец за
  настройки на NVDA
* Поддръжка за преносими копия на NVDA, работещи на управляваната машина
  (необходима е допълнителна конфигурация за Fitrix)
* Пълна поддръжка за преносими копия на NVDA, работещи на управляващата
  машина (не са необходими допълнителни административни привилегии за
  инсталиране на добавката)
* Множество активни клиентски сесии едновременно
* Отдалеченият работен плот е незабавно достъпен след стартиране на NVDA
* Възможност за управление на определени настройки на синтезатора и
  брайловия дисплей, без да напускате отдалечената сесия
* Възможност за използване на реч и брайл от потребителската сесия при
  достъп до защитени екрани

## Списък на промените

### Версия 1.0

Първа стабилна версия.

## Първи стъпки

1. Инсталирайте добавката "Достъпност за отдалечен работен плот" както в
   клиентско, така и в сървърно копие на NVDA.
1. Отдалечената система трябва автоматично да започне да говори с помощта на
   локалния синтезатор на реч. Ако не, в копието на NVDA на управляваната
   машина изберете отдалечения синтезатор на реч от диалоговия прозорец за
   избор на синтезатор на NVDA.
1. За да използвате брайл, активирайте автоматичното откриване на брайлов
   дисплей чрез диалоговия прозорец за избор на брайлов дисплей.

## Конфигуриране

След инсталирането добавката rdAccess може да бъде конфигурирана с помощта на диалоговия прозорец за настройки на NVDA, който може да бъде достъпен от менюто на NVDA, като изберете Настройки -> Опции... 
След това изберете категорията "Отдалечен работен плот".

Този диалогов прозорец съдържа следните настройки:

### Разрешаване на достъпността за отдалечен работен плот за

Този списък с опции за избор контролира режима на работа на
добавката. Можете да избирате между:

* Входящи връзки (Сървър за отдалечен работен плот): Изберете тази опция,
  ако текущото копие на NVDA работи на сървър за отдалечен работен плот
* Изходящи връзки (Клиент за отдалечен работен плот): Изберете тази опция,
  ако текущото копие на NVDA работи на клиент за отдалечен работен плот,
  който се свързва с един или повече сървъри
* Пропускане през защитени екрани: Изберете тази опция, ако искате да
  използвате брайл и реч от потребителското копие на NVDA при достъп до
  отдалечения работен плот. Обърнете внимание, че за да работи това, трябва
  да направите добавката RDAccess налична в копието на NVDA за защитени
  екрани. За целта задействайте бутона "Използвай текущо запазените
  настройки в екрана за вписване и другите защитени екрани (изисква
  административни права)" в основните настройки на NVDA.

За да се осигури гладка работа с добавката, по подразбиране всички опции са
включени. Препоръчваме ви обаче да изключите сървърния или клиентския режим
според случая.

### Автоматично възстановяване на отдалечената реч след загуба на връзка

Тази опция е достъпна само в сървърен режим. Тя гарантира, че връзката ще
бъде автоматично възстановена, когато синтезаторът за отдалечена рече
активен и връзката се загуби. Поведението е много подобно на това на
автоматичното откриване на брайлов дисплей. Това също изяснява защо има само
такава опция за реч. Повторното свързване на отдалечения брайлов дисплей се
обработва автоматично, когато изберете опцията Автоматично от диалоговия
прозорец за избор на брайлов дисплей.

Тази опция е включена по подразбиране. Горещо се препоръчва да оставите тази
опция включена, ако сървърът за отдалечен работен плот няма аудио изход.

### Позволяване на отдалечената система да контролира настройките на драйвера

Тази клиентска опция, когато е включена, ви позволява да контролирате
настройките на драйвера (като глас и височина на синтезатора) от
отдалечената система. Това е особено полезно, когато имате затруднения с
достъпа до локалното меню на NVDA, когато контролирате отдалечена
система. Промените, извършени на отдалечената система, автоматично ще бъдат
отразени локално.

Макар активирането на тази опция да води до известно влошаване на
производителността, все пак ви съветваме да я включите. Когато тази опция е
изключена, функцията за увеличаване на височината за главни букви не работи.

### Продължаване на поддръжката на клиента след изход от NVDA

Тази клиентска опция е достъпна само при инсталирани копия на NVDA. Когато е
включена, тя гарантира, че клиентската част на NVDA се зарежда във вашия
клиент за отдалечен работен плот, дори когато NVDA не работи.

За да използвате клиентската част на RDAccess, трябва да се направят няколко
промени в системния регистър на Windows. Добавката гарантира, че тези
промени са направени под профила на текущия потребител. Тези промени не
изискват администраторски привилегии. Следователно NVDA може автоматично да
приложи необходимите промени, когато се зареди, и да отмени тези промени при
затварянето си. Това гарантира, че добавката е напълно съвместима с
преносимите версии на NVDA.

Тази опция е изключена по подразбиране. Ако обаче използвате инсталирано
копие и сте единственият потребител на системата, съветваме ви да включите
тази опция. Това гарантира безпроблемна работа в случай, че NVDA не е
активен при свързване към отдалечена система и се стартира след това.

### Разрешаване на поддръжката на Microsoft Remote Desktop

Тази опция е включена по подразбиране и гарантира, че клиентската част на
RDAccess се зарежда в клиента за отдалечен работен плот на Microsoft (mstsc)
при стартиране на NVDA. Освен ако постоянната клиентска поддръжка не е
включена чрез включване на предишната опция, тези промени ще бъдат
автоматично отменени при излизане от NVDA.

### Разрешаване на поддръжката на Citrix Workspace

Тази опция е активирана по подразбиране и гарантира, че клиентската част на
RDAccess се зарежда в приложението Citrix Workspace при стартиране на
NVDA. Освен ако постоянната клиентска поддръжка не е включена чрез включване
на предишната опция, тези промени ще бъдат автоматично отменени при излизане
от NVDA.

Тази опция е налична само в следните случаи:

* Citrix Workspace е инсталиран. Имайте предвид, че версията на приложението
  от Windows Store не се поддържа поради ограничения в самото приложение
* Възможно е да регистрирате RDAccess под текущия потребителски
  контекст. След като инсталирате приложението, трябва да стартирате
  отдалечена сесия веднъж, за да стане това възможно

## Инструкции, специфични за Citrix

Има някои важни неща, на които трябва да обърнете внимание, когато
използвате RDAccess с приложението Citrix Workspace.

### Изисквания от клиентска страна

1. Вариантът на приложението от Windows Store *не се поддържа*.
2. След като инсталирате Citrix Workspace, трябва да стартирате отдалечена
   сесия веднъж, за да позволите на RDAccess да се регистрира. Причината за
   това е, че приложението копира системната конфигурация в потребителската
   конфигурация, когато установи сесия за първи път. След това RDAccess може
   да се регистрира в текущия потребителски контекст.

### Изисквания от сървърна страна

В Citrix Virtual Apps and Desktops 2109 Citrix активира така наречения
списък с разрешени виртуални канали. Това означава, че виртуалните канали на
трети страни, включително канала, изискван от RDAccess, не са разрешени по
подразбиране. За повече информация, прегледайте [тази публикация в блога на
Citrix](https://www.citrix.com/blogs/2021/10/14/virtual-channel-allow-list-now-enabled-by-default/)

Изричното разрешаване на канала RdPipe, изискван от RDAccess, все още не е
тествано. Засега вероятно е най-сигурно да изключите напълно списъка с
разрешени. Ако вашият системен администратор не е доволен от това, не се
колебайте да [публикувате коментар в посветения доклад][3]

## Проблеми и принос

Ако искате да съобщите за проблем или да допринесете, погледнете [страницата
с доклади в GitHub][3]

## Външни компоненти

Тази добавка разчита на [RD Pipe][4], библиотека, написана на Rust,
поддържаща поддръжката на клиента за отдалечен работен плот. RD Pipe се
разпространява като част от тази добавка съгласно условията на [версия 3 на
GNU Affero General Public License][5], както е публикувано от Free Software
Foundation.

[[!tag stable dev beta]]

[1]: https://github.com/leonardder/

[2]: https://www.nvaccess.org/addonStore/legacy?file=rdAccess

[3]: https://github.com/leonardder/rdAccess/issues

[4]: https://github.com/leonardder/rd_pipe-rs

[5]: https://github.com/leonardder/rd_pipe-rs/blob/master/LICENSE
